# Generated by Django 5.2.3 on 2025-06-27 18:46

import django.db.models.deletion
import django_models.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("django_models", "__first__"),
    ]

    operations = [
        migrations.CreateModel(
            name="SampleDigitsOnlyField",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "digits_only_field",
                    django_models.fields.CharFieldDigitsOnly(max_length=5),
                ),
            ],
        ),
        migrations.CreateModel(
            name="SampleHistoryFail",
            fields=[
                (
                    "historymodel_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="django_models.historymodel",
                    ),
                ),
                ("name", models.CharField(max_length=128)),
            ],
            options={
                "abstract": False,
            },
            bases=("django_models.historymodel",),
        ),
        migrations.CreateModel(
            name="SampleHistoryModel",
            fields=[
                (
                    "historymodel_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="django_models.historymodel",
                    ),
                ),
                ("name", models.CharField(max_length=128)),
                (
                    "email",
                    models.CharField(default="example@example.com", max_length=32),
                ),
                (
                    "description",
                    models.CharField(blank=True, default="Lorem Ipsum", max_length=32),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("django_models.historymodel", models.Model),
        ),
        migrations.CreateModel(
            name="SampleModel",
            fields=[
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True, db_index=True, verbose_name="Created at"
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(auto_now=True, verbose_name="Updated at"),
                ),
                (
                    "id",
                    django_models.fields.UUIDPrimaryKeyField(
                        editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("name", models.CharField(max_length=128)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="SampleSignalsModel",
            fields=[
                (
                    "id",
                    django_models.fields.UUIDPrimaryKeyField(
                        editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("name", models.CharField(max_length=128)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="HistoryTestModel",
            fields=[
                (
                    "id",
                    django_models.fields.UUIDPrimaryKeyField(
                        editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("name", models.CharField(max_length=128)),
                (
                    "email",
                    models.CharField(default="example@example.com", max_length=32),
                ),
                (
                    "parent",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="history",
                        to="testapp.samplehistorymodel",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
